Lines Matching +full:uapi +full:- +full:header
2 # SPDX-License-Identifier: GPL-2.0
4 if [ $# -ne 2 ]
8 echo "Prepares kernel header files for use by user space, by removing"
13 echo "INFILE: header file to operate on"
14 echo "OUTFILE: output file which the processed header is written to"
24 trap 'rm -f $OUTFILE $TMPFILE' EXIT
26 # SPDX-License-Identifier with GPL variants must have "WITH Linux-syscall-note"
27 if [ -n "$(sed -n -e "/SPDX-License-Identifier:.*GPL-/{/WITH Linux-syscall-note/!p}" $INFILE)" ]; t…
28 echo "error: $INFILE: missing \"WITH Linux-syscall-note\" for SPDX-License-Identifier" >&2
32 sed -E -e '
36 s/(^|[^a-zA-Z0-9])__packed([^a-zA-Z0-9_]|$)/\1__attribute__((packed))\2/g
41 scripts/unifdef -U__KERNEL__ -D__EXPORTED_HEADERS__ $TMPFILE > $OUTFILE
42 [ $? -gt 1 ] && exit 1
45 configs=$(sed -e '
71 # The format is <file-name>:<CONFIG-option> in each line.
73 arch/arc/include/uapi/asm/page.h:CONFIG_ARC_PAGE_SIZE_16K
74 arch/arc/include/uapi/asm/page.h:CONFIG_ARC_PAGE_SIZE_4K
75 arch/arc/include/uapi/asm/swab.h:CONFIG_ARC_HAS_SWAPE
76 arch/arm/include/uapi/asm/ptrace.h:CONFIG_CPU_ENDIAN_BE8
77 arch/nios2/include/uapi/asm/swab.h:CONFIG_NIOS2_CI_SWAB_NO
78 arch/nios2/include/uapi/asm/swab.h:CONFIG_NIOS2_CI_SWAB_SUPPORT
79 arch/x86/include/uapi/asm/auxvec.h:CONFIG_IA32_EMULATION
80 arch/x86/include/uapi/asm/auxvec.h:CONFIG_X86_64
89 if echo "$INFILE:$c" | grep -q "$ignore$"; then
96 echo "error: $INFILE: leak $c to user-space" >&2
101 rm -f $TMPFILE
102 trap - EXIT